using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace Valg.EVA.Skanning.Scan.ReadSoftEmulation
{
    [ComVisible(true)]
    class Field : EHF.Field
    {

        public short Validate(out EHF.ehFieldStatus Status, out EHF.ehExtendedStatus ExtendedStatus)
        {
            throw new NotImplementedException();
        }

        public object GetClassicObject()
        {
            return this; 
            
            
        }

        public short Category { get; set; }
        public string ComplementString { get; set; }
        public string ComplementMessage { get; set; }
        public string ErrorMessage { get; set; }
        public EHF.ehExtendedStatus ExtendedStatus { get; set; }
        public short FieldNo { get; set; }
        public short Index { get; set; }
        public string TemporaryStorageString1 { get; set; }
        public string Name { get; set; }
        public EHF.ehFieldStatus Status { get; set; }
        public EHF.ehFieldType Type { get; set; }
        public string Value { get; set; }
        public EHF.FieldChars FieldChars { get; set; }

        internal int Fill { get; set; }
        public int GetFill()
        {
            return Fill;
        }
    }
}

